#
# spec file for package python-evilunit
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
Name:           python-evilunit
Version:        0.2.1
Release:        2.1
Summary:        Python unittest helpers
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/podhmo/evilunit
Source:         https://github.com/podhmo/evilunit/archive/%{version}.tar.gz#/evilunit-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-setuptools
BuildArch:      noarch
%python_subpackages

%description
evilunit provides helpers for Python unittest,
including class level imports, parameterized tests
and nested test classes.

%prep
%setup -q -n evilunit-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/evilunit
%{python_sitelib}/evilunit-%{version}*-info

%changelog
* Tue May 27 2025 Markéta Machová <mmachova@suse.com>
- Convert to pip-based build
* Wed Aug 12 2020 John Vandenberg <jayvdb@gmail.com>
- Update to v0.2.1
* Tue Sep 17 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.1.3
